| Home | Libraries | People | FAQ | More

## Struct template outer_product<Left, Right, std_vector_tag, std_vector_tag>

boost::numeric::functional::outer_product<Left, Right, std_vector_tag, std_vector_tag>

## Synopsis

    // In header: <boost/accumulators/statistics/covariance.hpp>

    template<typename Left, typename Right>
    struct outer_product<Left, Right, std_vector_tag, std_vector_tag> : public std::binary_function< Left, Right, ublas::matrix< functional::multiplies< Left::value_type, Right::value_type >::result_type > >
    {
      // types
      typedef ublas::matrix< typename functional::multiplies< typename Left::value_type, typename Right::value_type >::result_type > result_type;

      // public member functions
      result_type operator()(Left &, Right &) const;
    };

## Description

### `outer_product` public member functions

1.     result_type operator()(Left & left, Right & right) const;